> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# getCompanyRevenue

`POST /v1/company-revenue`

**Tags:** `Company info`

Get company revenue estimate

**Endpoint:** `https://api.fiber.ai/v1/company-revenue`

## Description

Fetches the most recent annual revenue estimate for a company. Pass a LinkedIn company URL, domain, and/or company name.

⚡ Rate limit: 120 requests per 1 minute

💰 Cost: 4 credits per company lookup ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "companyMetadata": {
      "type": "object",
      "properties": {
        "name": {
          "type": [
            "string",
            "null"
          ],
          "minLength": 1,
          "description": "Company display name (optional, helps disambiguate)"
        },
        "domain": {
          "type": [
            "string",
            "null"
          ],
          "minLength": 1,
          "description": "Company website domain (e.g. 'openai.com'), optional"
        },
        "linkedinUrl": {
          "type": [
            "string",
            "null"
          ],
          "minLength": 1,
          "description": "LinkedIn company URL or slug (e.g. 'https://www.linkedin.com/company/openai' or 'openai')"
        },
        "linkedinOrgId": {
          "type": [
            "string",
            "null"
          ],
          "minLength": 1,
          "description": "LinkedIn numeric organization ID (e.g. '1441'), optional"
        }
      }
    }
  },
  "required": [
    "apiKey",
    "companyMetadata"
  ]
}
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "company": {
          "type": "object",
          "properties": {
            "linkedinUrl": {
              "type": "string",
              "minLength": 1,
              "description": "LinkedIn company URL (e.g. 'https://www.linkedin.com/company/openai')"
            },
            "linkedinOrgId": {
              "type": "string",
              "minLength": 1,
              "description": "LinkedIn organization ID, if known"
            },
            "name": {
              "type": [
                "string",
                "null"
              ],
              "minLength": 1,
              "description": "Company display name, if known"
            },
            "domain": {
              "type": [
                "string",
                "null"
              ],
              "minLength": 1,
              "description": "Company website domain, if known"
            }
          },
          "required": [
            "linkedinUrl",
            "linkedinOrgId"
          ]
        },
        "revenueInfo": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "lowerBound": {
              "type": "number",
              "description": "Lower bound of the annual revenue estimate in USD"
            },
            "upperBound": {
              "type": "number",
              "description": "Upper bound of the annual revenue estimate in USD"
            },
            "fiscalYear": {
              "type": "number",
              "description": "Fiscal year the revenue figure corresponds to. Often (but not always) the most recent completed calendar year (e.g. 2025 as of 2026)."
            },
            "citations": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Source URLs used to derive the revenue estimate. May be empty when the revenue figure is common knowledge to the AI model and no web sources were needed."
            },
            "comments": {
              "type": [
                "string",
                "null"
              ],
              "description": "Additional context about the revenue data"
            }
          },
          "required": [
            "lowerBound",
            "upperBound",
            "fiscalYear",
            "citations"
          ],
          "description": "Revenue information. Null means the company was found but no public revenue data is available."
        }
      },
      "required": [
        "company"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "No credits were charged for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "credits-refunded"
              ]
            },
            "creditsRefunded": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsRefunded",
            "message"
          ],
          "description": "Credits were refunded for this operation"
        }
      ]
    },
    "warnings": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Full path to extraneous field (e.g., 'searchParams.ExtraField')"
          },
          "message": {
            "type": "string",
            "description": "Warning message"
          }
        },
        "required": [
          "field",
          "message"
        ]
      },
      "description": "Warnings about extraneous fields in request"
    },
    "advice": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string"
      },
      "description": "Tips, recommendations, and suggestions for using this API effectively."
    }
  },
  "required": [
    "output",
    "chargeInfo"
  ],
  "additionalProperties": false
}
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
